Subject: Re: [bug#76512] [PATCH] gnu: emacs-ws-butler: Update to 1.1 from new maintainer.

From: Ian Eure <[email-masked]>
Date: Mon, 24 Feb 2025 20:53:56 -0800

Hi Liam,

Liam Hupfer <[email-masked]> writes:

> Ian Eure <[email-masked]> writes:
>
>> Is there an upstream source repo?  If it’s reasonable to do so, 
>> it’s preferable to use that rather than M/ELPA URLs.
>
> Sean seems to be maintaining it directly in the NonGNU ELPA 
> repo:
> <https://git.savannah.gnu.org/cgit/emacs/nongnu.git/?h=elpa/ws-butler>
>
> I took a look at other packages from NonGNU ELPA in emacs-xyz 
> and they
> all seem to use the generated tarballs, so I followed suit 
> here. I think
> using the ELPA tarball means ‘guix refresh’ will work, which 
> seems
> noteworthy. I know upstream Git repos are preferable to MELPA, 
> but I
> think deploying to ELPA and NonGNU ELPA is more intentional on 
> the
> upstream maintainer’s part (focused on tagged releases).

Okay, that sure sounds like "not reasonable to do so" to me. 
Thank you for following up, I’ll push this momentarily.

  -- Ian